%define bname xkbcommon

%define major          0
%define libname        %mklibname %{bname} %{major}
%define libxkbregistry %mklibname xkbregistry %{major}
%define libname_devel  %mklibname %{bname} -d

Summary:	XKB API common to servers and clients
Name:		lib%{bname}
Version:	1.7.0
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
Url:		https://xkbcommon.org/
Source0:	https://xkbcommon.org/download/%{name}-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	meson
BuildRequires:	x11-util-macros
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xcb-xkb)
# to auto-detect XKB config root
BuildRequires:	x11-data-xkbdata
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(wayland-scanner)

%description
The %{name} package provides XKB API common to servers and clients.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries for %{name}.

%package -n %{libxkbregistry}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libxkbregistry}
This package contains the libraries for %{name}.

%package -n %{libname_devel}
Summary:	Header files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{bname}-devel = %{version}-%{release}
Provides:	xkbregistry-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libxkbregistry} = %{version}-%{release}
# (tv) fix: "xkbcommon: ERROR: failed to add default include path /usr/share/X11/xkb"
Requires:	x11-data-xkbdata

%description -n %{libname_devel}
This package contains the header and pkg-config files for developing
with %{name}.

%package utils
Summary:	X.Org X11 XKB parsing utilities
Group:		System/Libraries

%description utils
%{name}-utils is a set of utilities to analyze and test XKB parsing.

%package doc
Summary:	%{name} documentation
Group:		Documentation

%description doc
This package contains documentation of %{name}.

%prep
%autosetup -p1

%build
%meson -D enable-docs=true
%meson_build

%install
%meson_install

%files -n %{libname}
%doc README.md NEWS.md
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}
%{_libdir}/%{name}-x11.so.%{major}{,.*}

%files -n %{libxkbregistry}
%doc README.md NEWS.md
%license LICENSE
%{_libdir}/libxkbregistry.so.%{major}{,.*}

%files -n %{libname_devel}
%doc README.md
%dir %{_includedir}/%{bname}
%{_includedir}/%{bname}/%{bname}.h
%{_includedir}/%{bname}/%{bname}-*.h
%{_includedir}/%{bname}/xkbregistry.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}-x11.so
%{_libdir}/libxkbregistry.so
%{_libdir}/pkgconfig/%{bname}*.pc
%{_libdir}/pkgconfig/xkbregistry.pc

%files utils
%{_bindir}/xkbcli
%dir %{_libexecdir}/xkbcommon
%{_libexecdir}/xkbcommon/xkbcli-compile-compose
%{_libexecdir}/xkbcommon/xkbcli-compile-keymap
%{_libexecdir}/xkbcommon/xkbcli-how-to-type
%{_libexecdir}/xkbcommon/xkbcli-interactive-evdev
%{_libexecdir}/xkbcommon/xkbcli-interactive-x11
%{_libexecdir}/xkbcommon/xkbcli-list
%{_libexecdir}/xkbcommon/xkbcli-interactive-wayland
%{_datadir}/bash-completion/completions/xkbcli
%{_mandir}/man1/xkbcli-compile-compose.1.*
%{_mandir}/man1/xkbcli-compile-keymap.1.*
%{_mandir}/man1/xkbcli-how-to-type.1.*
%{_mandir}/man1/xkbcli-interactive-evdev.1.*
%{_mandir}/man1/xkbcli-interactive-x11.1.*
%{_mandir}/man1/xkbcli-list.1.*
%{_mandir}/man1/xkbcli.1.*
%{_mandir}/man1/xkbcli-interactive-wayland.1.*

%files doc
%doc %{_docdir}/%{name}/


%changelog
* Tue Apr 02 2024 daviddavid <daviddavid> 1.7.0-1.mga10
+ Revision: 2053781
- new version: 1.7.0

* Mon Oct 16 2023 daviddavid <daviddavid> 1.6.0-1.mga10
+ Revision: 1997832
- new version: 1.6.0

* Thu Sep 21 2023 tv <tv> 1.5.0-2.mga10
+ Revision: 1989070
- Requires x11-data-xkbdata thus fixing "xkbcommon: ERROR: failed to add
  default include path /usr/share/X11/xkb"

* Mon Jan 09 2023 daviddavid <daviddavid> 1.5.0-1.mga9
+ Revision: 1931913
- new version: 1.5.0

* Sat Sep 10 2022 neoclust <neoclust> 1.4.1-1.mga9
+ Revision: 1886351
- New version 1.4.1

* Wed Mar 30 2022 umeabot <umeabot> 1.3.1-2.mga9
+ Revision: 1834223
- Mageia 9 Mass Rebuild

* Wed Sep 29 2021 luigiwalser <luigiwalser> 1.3.1-1.mga9
+ Revision: 1746876
- 1.3.1

* Mon Aug 02 2021 luigiwalser <luigiwalser> 1.3.0-1.mga9
+ Revision: 1738662
- 1.3.0

* Thu Apr 08 2021 daviddavid <daviddavid> 1.2.1-1.mga9
+ Revision: 1714075
- new version: 1.2.1

* Wed Mar 10 2021 daviddavid <daviddavid> 1.1.0-1.mga9
+ Revision: 1700928
- new version: 1.1.0
- remove the git snapshot handling, we haven't used it in some years

* Tue Nov 24 2020 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1648903
- new version: 1.0.3

* Tue Sep 15 2020 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1626781
- new version: 1.0.1

* Wed Feb 19 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1544553
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1483266
- new version: 0.10.0

* Fri Dec 13 2019 daviddavid <daviddavid> 0.9.1-2.mga8
+ Revision: 1466119
- convert ssharp to the correct uppercase letter

* Wed Oct 23 2019 tmb <tmb> 0.9.1-1.mga8
+ Revision: 1455241
- update to 0.9.1

* Mon Oct 21 2019 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1455064
- new version: 0.9.0
- switch to meson build system
- enable wayland support

* Mon Mar 04 2019 daviddavid <daviddavid> 0.8.4-1.mga7
+ Revision: 1371365
- new version: 0.8.4

* Sun Feb 17 2019 luigiwalser <luigiwalser> 0.8.3-1.mga7
+ Revision: 1367970
- 0.8.3

* Sun Sep 23 2018 umeabot <umeabot> 0.8.2-2.mga7
+ Revision: 1299254
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1248013
- new version: 0.8.2

* Thu May 17 2018 daviddavid <daviddavid> 0.8.0-1.mga7
+ Revision: 1229942
- new version: 0.8.0

* Thu Jan 19 2017 luigiwalser <luigiwalser> 0.7.1-1.mga6
+ Revision: 1082471
- 0.7.1

* Sat Dec 17 2016 luigiwalser <luigiwalser> 0.7.0-1.mga6
+ Revision: 1075751
- 0.7.0

* Mon May 09 2016 luigiwalser <luigiwalser> 0.6.1-1.mga6
+ Revision: 1011495
- 0.6.1

* Mon Apr 11 2016 tv <tv> 0.6.0-1.mga6
+ Revision: 1000320
- new release

* Sat Mar 05 2016 pterjan <pterjan> 0.5.0-4.mga6
+ Revision: 985975
- Make the package compatible with the mass rebuild

* Sat Mar 05 2016 blino <blino> 0.5.0-3.mga6
+ Revision: 985897
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Fri Aug 21 2015 tmb <tmb> 0.5.0-2.mga6
+ Revision: 867776
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.5.0-1.mga6
+ Revision: 837379
- 0.5.0

* Thu Aug 21 2014 ovitters <ovitters> 0.4.3-1.mga5
+ Revision: 666234
- new version 0.4.3

* Thu May 29 2014 sander85 <sander85> 0.4.2-1.mga5
+ Revision: 627485
- New version: 0.4.2

* Wed Feb 19 2014 tv <tv> 0.4.0-1.mga5
+ Revision: 594979
- adjust file list
- BR pkgconfig(xcb-xkb)
- new release

* Sun Jun 16 2013 blino <blino> 0.3.1-1.mga4
+ Revision: 443592
- update url
- 0.3.1

* Sun May 26 2013 blino <blino> 0.3.0-1.mga4
+ Revision: 427728
- 0.3.0

* Fri Nov 09 2012 blino <blino> 0.2.0-2.mga3
+ Revision: 316732
- remove xproto and kbproto build dep (cleaned upstream)

* Wed Oct 24 2012 blino <blino> 0.2.0-1.mga3
+ Revision: 309555
- build and package doc
- package xkbcommon-compat.h
- 0.2.0
- drop merged patch

* Mon Jul 23 2012 blino <blino> 0.1.0-0.20120713.1.mga3
+ Revision: 273896
- package new keysyms and names files
- Fix yyparse conflict at build by forward-declaring struct (reported as fd.o #52414)
- update to 20120713 snapshot (git fe4f990902c7cd8f395b9f3be14dc6e8cad7cae9)
- move autoreconf in prep

* Fri Mar 02 2012 blino <blino> 0.1.0-0.20120220.2.mga2
+ Revision: 216701
- buildrequire x11-data-xkbdata to properly detect XKB config root

* Thu Mar 01 2012 blino <blino> 0.1.0-0.20120220.1.mga2
+ Revision: 216357
- fix libname

* Thu Mar 01 2012 blino <blino> 0.1.0-0.20120220.mga2
+ Revision: 216280
- buildrequires flex
- buildrequires xproto and kbproto
- buildrequires bison
- initial release
- Created package structure for libxkbcommon.

